- --------------------------------------------------------------------------
Debian Security Advisory DSA-5560-1                   security@debian.org
https://www.debian.org/security/                        Yves-Alexis Perez
November 20, 2023                     https://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : strongswan
CVE ID         : CVE-2023-41913

Florian Picca reported a bug the charon-tkm daemon in strongSwan an IKE/IPsec
suite.

The TKM-backed version of the charon IKE daemon (charon-tkm) doesn't
check the length of received Diffie-Hellman public values before copying
them to a fixed-size buffer on the stack, causing a buffer overflow that
could potentially be exploited for remote code execution by sending a
specially crafted and unauthenticated IKE_SA_INIT message.

For the oldstable distribution (bullseye), this problem has been fixed
in version 5.9.1-1+deb11u4.

For the stable distribution (bookworm), this problem has been fixed in
version 5.9.8-5+deb12u1.

We recommend that you upgrade your strongswan packages.

For the detailed security status of strongswan please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/source-package/strongswan

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org

Debian: DSA-5560-1: strongswan security update

November 20, 2023
Florian Picca reported a bug the charon-tkm daemon in strongSwan an IKE/IPsec suite

Summary

The TKM-backed version of the charon IKE daemon (charon-tkm) doesn't
check the length of received Diffie-Hellman public values before copying
them to a fixed-size buffer on the stack, causing a buffer overflow that
could potentially be exploited for remote code execution by sending a
specially crafted and unauthenticated IKE_SA_INIT message.

For the oldstable distribution (bullseye), this problem has been fixed
in version 5.9.1-1+deb11u4.

For the stable distribution (bookworm), this problem has been fixed in
version 5.9.8-5+deb12u1.

We recommend that you upgrade your strongswan packages.

For the detailed security status of strongswan please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/source-package/strongswan

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org

Severity
Florian Picca reported a bug the charon-tkm daemon in strongSwan an IKE/IPsec
suite.

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo